#
# Conditional build:
%bcond_without	tests	# unit tests
#
%define	pdir	Test
%define	pnam	Spelling
Summary:	Test::Spelling - check for spelling errors in POD files
Summary(pl.UTF-8):	Test::Spelling - sprawdzanie plików POD pod kątem błędów pisowni
Name:		perl-Test-Spelling
Version:	0.25
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5267be55736620cf8c45765e346a58cc
URL:		https://metacpan.org/release/Test-Spelling
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-IPC-Run3 >= 0.044
BuildRequires:	perl-Pod-Spell >= 1.01
BuildRequires:	perl-Test-Simple >= 0.88
BuildRequires:	perl-Test-Tester
%endif
Requires:	perl-IPC-Run3 >= 0.044
Requires:	perl-Pod-Spell >= 1.01
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Check POD files for spelling mistakes, using Pod::Spell and spell to
do the heavy lifting.

%description -l pl.UTF-8
Ten moduł sprawdza pliki POD pod kątem błędów pisowni, wykorzystując
moduł Pod::Spell i polecenie spell.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Test/Spelling.pm
%{_mandir}/man3/Test::Spelling.3pm*
%changelog
* Thu Oct 08 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Test-Spelling.git;a=log;h=master

* Thu Oct 08 2020 Jakub Bogusz <qboosh@pld-linux.org> d8d244e
- updated to 0.25

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 5a4a2e9
- drop obsolete and outdated manual inclusion of rpm macros

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> d91f1e4
- updated to 0.19

* Sun May 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 2eda1e5
- more verbose files

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> ad4a5e5
- up to 0.15

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> e23274f
- pl, generic URL

* Tue Jan 08 2008 Maciej Pijanka <agaran@pld-linux.org> 08aab1f
- initial, builds here, rel 1

